/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7R6EE5                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2009  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.writer;

import com.ibm.productivity.tools.ui.views.RichDocumentViewEvent;
import com.ibm.productivity.tools.ui.views.RichDocumentViewListener;

public class DemoViewListener implements RichDocumentViewListener {

	public void handleEvent(RichDocumentViewEvent event) {
		if((event.getType() == RichDocumentViewEvent.Type_Post_Document_Close) &&
		(event.getSource() == DemoView.getInstance().docView)) {
			DemoView.getInstance().clean();
		}
	}

}
