/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7R6EE5                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2009  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.spreadsheet;

import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.ui.IStartup;

import com.ibm.productivity.tools.core.SuperODCPlugin;

public class EarlyStartup implements IStartup {

	public void earlyStartup() {
		IPreferenceStore store = SuperODCPlugin.getInstance().getPreferenceStore();
		//enable document selection service to listen the document content selection changes.
		store.setValue("Enable_Selection", true);
	}

}
